import { OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
export declare class GithubButtonComponent implements OnChanges, OnDestroy {
    private xhr;
    typeToLabel: {
        stargazers: string;
        subscribers: string;
        forks: string;
    };
    typeToPath: {
        forks: string;
    };
    count: number;
    type: 'stargazers' | 'subscribers' | 'forks';
    size: 'default' | 'large';
    namespace: string;
    repo: string;
    readonly repo_url: string;
    readonly count_url: string;
    private setCount(data);
    private req();
    private clearXhr();
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
}
